<script>
export default {
  name: 'index',
  props: ['scope', 'item'],
  render() {
    let { scope, item } = this
    return scope.row[item.prop] ? (
      <div class="toolBox">
        <el-tooltip content={scope.row[item.prop] && scope.row[item.prop] != '' ? scope.row[item.prop] : '2'} placement="right" effect="dark">
          <div class="ellipsis">{scope.row[item.prop]}</div>
        </el-tooltip>
      </div>
    ) : (
      <div class="ellipsis">{scope.row[item.prop]}</div>
    )
  }
}
</script>

<style scoped>
.toolBox {
  display: inline-grid;
}
</style>
